"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dc9a0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dca40>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dcae0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dcb80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dcc20>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dccc0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dcd60>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dce00>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dcea0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dcf40>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dcfe0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd080>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd120>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd1c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd260>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd300>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd3a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd440>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd4e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd580>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd620>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd6c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd760>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd800>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd8a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd940>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dd9e0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dda80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833ddb20>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833ddbc0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833ddc60>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833ddd00>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833ddda0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dde40>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833ddee0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833ddf80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de020>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de0c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de160>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de200>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de2a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de340>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de3e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de480>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de520>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de5c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de660>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de700>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de7a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de840>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de8e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833de980>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dea20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833deac0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833deb60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dec00>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833deca0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833ded40>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dede0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dee80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833def20>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833defc0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df060>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df100>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df1a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df240>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df2e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df380>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df420>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df4c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df560>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df600>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df6a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df740>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df7e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df880>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df920>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833df9c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dfa60>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dfb00>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dfc40>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dfba0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dfce0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dfd80>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f68833dfe20>)]
name: str = 'fr_HOCCN'
